- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 925df972-68e6-463d-ae4c-8ef4b68bd3f2
    creation_time: 2023-02-17T13:43:28.967250Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark40_polynomial.c
      input_file_hashes:
        c/loop-zilu/benchmark40_polynomial.c: 91698919e858bbaa021d5958c38c95215969ea93ccf70420c1ae67ddc821d648
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark40_polynomial.c
    file_hash: 91698919e858bbaa021d5958c38c95215969ea93ccf70420c1ae67ddc821d648
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: x * y >= 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8a49cef8-f005-4d7b-968a-a97974698776
    creation_time: 2023-02-17T13:43:28.967638Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark40_polynomial.c
      input_file_hashes:
        c/loop-zilu/benchmark40_polynomial.c: 91698919e858bbaa021d5958c38c95215969ea93ccf70420c1ae67ddc821d648
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark40_polynomial.c
    file_hash: 91698919e858bbaa021d5958c38c95215969ea93ccf70420c1ae67ddc821d648
    line: 35
    column: 0
    function: main
  location_invariant:
    string: x * y >= 0
    type: assertion
    format: C

